#include <iostream>

using namespace std;

int main()
{
string a;
cin>>a;
int x=0, y=a.size(), l=1;
for(int x=0; x<y-1; x++)
{
    if(a[x] != a[y-1])
    {
        l=y-2;
        break;
    }
    y--;
}
cout<<l;
}